<?php

declare(strict_types=1);

namespace Drupal\data_pipelines\Index;

/**
 * Defines an exception for when dataset cannot be removed from the index.
 */
final class DatasetNotRemovedFromIndexException extends \Exception {

  /**
   * Factory to create exception from an existing one.
   *
   * @param \Exception $e
   *   Exception.
   * @param string $label
   *   Label of item being deleted.
   *
   * @return \Drupal\data_pipelines\Index\DatasetNotRemovedFromIndexException
   *   New instance.
   */
  public static function fromException(\Exception $e, string $label) : DatasetNotRemovedFromIndexException {
    return new static(sprintf('Could not remove dataset %s from the index, error was %s', $label, $e->getMessage()), 0, $e);
  }

}
