<?php

declare(strict_types=1);

namespace Drupal\data_pipelines\Plugin\DatasetSource;

/**
 * Defines a source based on CSV data from a file.
 *
 * @DatasetSource(
 *   id="csv_file",
 *   label="CSV File",
 *   description="CSV extracted from a file"
 * )
 */
class CsvFile extends FileBase {

  use CsvSourceTrait;

  /**
   * {@inheritdoc}
   */
  protected function getFieldName(): string {
    return 'csv_file';
  }

  /**
   * {@inheritdoc}
   */
  protected function getFileExtensions(): string {
    return 'csv';
  }

}
