<?php

declare(strict_types=1);

namespace Drupal\data_pipelines\Plugin\DatasetSource;

/**
 * Defines a source based on CSV data from a string.
 *
 * @DatasetSource(
 *   id="csv_string",
 *   label="CSV String",
 *   description="CSV extracted from a string"
 * )
 */
class CsvString extends StringBase {

  use CsvSourceTrait;

  /**
   * {@inheritdoc}
   */
  protected function getFieldName(): string {
    return 'csv_string';
  }

}
