<?php

declare(strict_types=1);

namespace Drupal\data_pipelines\Plugin\DatasetSource;

/**
 * Defines a source based on CSV data from a remote URL.
 *
 * @DatasetSource(
 *   id="csv_uri",
 *   label="CSV Url",
 *   description="CSV extracted from a Url"
 * ).
 */
class CsvUri extends UriBase {

  use CsvSourceTrait;

  /**
   * {@inheritdoc}
   */
  protected function getFieldName(): string {
    return 'csv_uri';
  }

}
