<?php

declare(strict_types=1);

namespace Drupal\data_pipelines\Plugin\DatasetSource;

/**
 * Defines a source plugin for a JSON file.
 *
 * @DatasetSource(
 *   id="json_file",
 *   label="JSON File",
 *   description="JSON extracted from a file"
 * )
 */
class JsonFile extends FileBase {

  use JsonSourceTrait;

  /**
   * {@inheritdoc}
   */
  protected function getFieldName(): string {
    return 'json_file';
  }

  /**
   * {@inheritdoc}
   */
  protected function getFileExtensions(): string {
    return 'json';
  }

}
