<?php

declare(strict_types=1);

namespace Drupal\data_pipelines\Plugin\DatasetSource;

/**
 * Defines a source based on JSON data from a string.
 *
 * @DatasetSource(
 *   id="json_string",
 *   label="JSON String",
 *   description="JSON extracted from a string"
 * ).
 */
class JsonString extends StringBase {

  use JsonSourceTrait;

  /**
   * {@inheritdoc}
   */
  protected function getFieldName(): string {
    return 'json_string';
  }

}
