<?php

declare(strict_types=1);

namespace Drupal\data_pipelines\Plugin\DatasetSource;

/**
 * Defines a source based on JSON data from a remote URL.
 *
 * @DatasetSource(
 *   id="json_uri",
 *   label="JSON Url",
 *   description="JSON extracted from a remote Url"
 * ).
 */
class JsonUri extends UriBase {

  use JsonSourceTrait;

  /**
   * {@inheritdoc}
   */
  protected function getFieldName(): string {
    return 'json_uri';
  }

}
