<?php

declare(strict_types=1);

namespace Drupal\data_pipelines\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Defines a validation constraint for checking item counts are consistent.
 *
 * @Constraint(
 *   id = "ItemCount",
 *   label = @Translation("Item count", context = "Validation"),
 * )
 */
class ItemCount extends Constraint {

  /**
   * Expected count of records.
   *
   * @var int
   */
  public $expectedCount = 0;

  /**
   * Error message.
   *
   * @var string
   */
  public $message = 'All records should have @count values';

}
