<?php

declare(strict_types = 1);

namespace Drupal\data_pipelines\Source;

use Drupal\data_pipelines\Entity\DatasetInterface;
use Drupal\entity\BundlePlugin\BundlePluginInterface;

/**
 * Defines an interface for dataset sources.
 */
interface DatasetSourceInterface extends BundlePluginInterface {

  /**
   * Gets the data for the given dataset.
   *
   * @param \Drupal\data_pipelines\Entity\DatasetInterface $dataset
   *   Dataset to extract data from.
   *
   * @return \Generator
   *   A generator over \Drupal\data_pipelines\DatasetData items.
   */
  public function extractDataFromDataSet(DatasetInterface $dataset): \Generator;

}
