<?php

declare(strict_types=1);

namespace Drupal\Tests\data_pipelines\Kernel\Index;

use Drupal\data_pipelines\Index\IndexingRequest;
use Drupal\Tests\data_pipelines\Kernel\DatasetKernelTestBase;

/**
 * Defines a class for testing indexing request.
 *
 * @group data_pipelines
 *
 * @covers \Drupal\data_pipelines\Index\IndexingRequest
 */
class IndexingRequestTest extends DatasetKernelTestBase {

  /**
   * Tests for dataset.
   */
  public function testForDataset() {
    $dataset = $this->createTestDataset();
    $request = IndexingRequest::forDataSet($dataset);
    $this->assertEquals($dataset->uuid(), $request->getUuid());
    $this->assertEquals($dataset->label(), $request->getLabel());
    $this->assertFalse($request->isDeleteRequest());
  }

  /**
   * Tests for deletion.
   */
  public function testDeleteDataset() {
    $dataset = $this->createTestDataset();
    $request = IndexingRequest::deleteDataSet($dataset);
    $this->assertEquals($dataset->uuid(), $request->getUuid());
    $this->assertEquals($dataset->label(), $request->getLabel());
    $this->assertTrue($request->isDeleteRequest());
  }

}
